commit 4b3e0b41ab74c5a6b7951bded22eb95ca215dfca
Author: raveit65 <mate@raveit.de>
Date:   Thu Feb 22 17:28:22 2024 +0100

    release 1.28.0

 NEWS         | 29 ++++++++++++++++++++++++++++-
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 30 insertions(+), 3 deletions(-)

commit c526a5aa2c175f6736f530a590337f54c7283875
Author: raveit65 <mate@raveit.de>
Date:   Thu Feb 22 17:23:00 2024 +0100

    tx: sync with transifex

 help/af/af.po                   |    2 +-
 help/am/am.po                   |    2 +-
 help/ar/ar.po                   |    2 +-
 help/as/as.po                   |    2 +-
 help/ast/ast.po                 |    2 +-
 help/az/az.po                   |    2 +-
 help/be/be.po                   |    2 +-
 help/bg/bg.po                   |    2 +-
 help/bn/bn.po                   |    2 +-
 help/bn_IN/bn_IN.po             |    2 +-
 help/br/br.po                   |    2 +-
 help/bs/bs.po                   |    2 +-
 help/ca/ca.po                   |    6 +-
 help/ca@valencia/ca@valencia.po |    2 +-
 help/cmn/cmn.po                 |    2 +-
 help/crh/crh.po                 |    2 +-
 help/cs/cs.po                   |    2 +-
 help/cy/cy.po                   |    2 +-
 help/da/da.po                   |    2 +-
 help/de/de.po                   |    9 +-
 help/dz/dz.po                   |    2 +-
 help/el/el.po                   |    7 +-
 help/en_AU/en_AU.po             |    2 +-
 help/en_CA/en_CA.po             |    2 +-
 help/en_GB/en_GB.po             |  430 +++--
 help/eo/eo.po                   |    2 +-
 help/es/es.po                   |   31 +-
 help/es_AR/es_AR.po             |    2 +-
 help/es_CL/es_CL.po             |    2 +-
 help/es_CO/es_CO.po             |    2 +-
 help/es_MX/es_MX.po             |    2 +-
 help/et/et.po                   |    2 +-
 help/eu/eu.po                   |    2 +-
 help/fa/fa.po                   |    2 +-
 help/fi/fi.po                   |    2 +-
 help/fr/fr.po                   |    4 +-
 help/frp/frp.po                 |    2 +-
 help/fur/fur.po                 |    2 +-
 help/fy/fy.po                   |    2 +-
 help/ga/ga.po                   |    2 +-
 help/gl/gl.po                   |    2 +-
 help/gu/gu.po                   |    2 +-
 help/ha/ha.po                   |    2 +-
 help/he/he.po                   |    6 +-
 help/hi/hi.po                   |    2 +-
 help/hr/hr.po                   |    2 +-
 help/hu/hu.po                   |    2 +-
 help/hy/hy.po                   |    2 +-
 help/ie/ie.po                   |    2 +-
 help/ig/ig.po                   |    2 +-
 help/is/is.po                   |    2 +-
 help/it/it.po                   |    4 +-
 help/ja/ja.po                   |  187 +-
 help/ka/ka.po                   |    7 +-
 help/kab/kab.po                 |    2 +-
 help/kk/kk.po                   |    2 +-
 help/kn/kn.po                   |    2 +-
 help/ko/ko.po                   |    6 +-
 help/ku/ku.po                   |    2 +-
 help/ku_IQ/ku_IQ.po             |    8 +-
 help/ky/ky.po                   |    2 +-
 help/la/la.po                   | 2265 +++++++++++++++++++++++
 help/li/li.po                   |    2 +-
 help/lt/lt.po                   |    2 +-
 help/lv/lv.po                   |    2 +-
 help/mai/mai.po                 |    2 +-
 help/mg/mg.po                   |    2 +-
 help/mk/mk.po                   |    2 +-
 help/ml/ml.po                   |    2 +-
 help/mn/mn.po                   |    2 +-
 help/mr/mr.po                   |    2 +-
 help/ms/ms.po                   |    2 +-
 help/nb/nb.po                   |    2 +-
 help/nds/nds.po                 |    2 +-
 help/ne/ne.po                   |    2 +-
 help/nl/nl.po                   |    2 +-
 help/nn/nn.po                   |    2 +-
 help/nso/nso.po                 |    2 +-
 help/oc/oc.po                   |    9 +-
 help/or/or.po                   |    2 +-
 help/pa/pa.po                   |    2 +-
 help/pl/pl.po                   |    2 +-
 help/ps/ps.po                   |    2 +-
 help/pt/pt.po                   |    2 +-
 help/pt_BR/pt_BR.po             |    2 +-
 help/ro/ro.po                   |    2 +-
 help/ru/ru.po                   |  770 ++++++--
 help/rw/rw.po                   |    2 +-
 help/si/si.po                   |    2 +-
 help/sk/sk.po                   |    2 +-
 help/sl/sl.po                   |    4 +-
 help/sq/sq.po                   |    2 +-
 help/sr@latin/sr@latin.po       |    2 +-
 help/sv/sv.po                   |    4 +-
 help/ta/ta.po                   |    2 +-
 help/te/te.po                   |    2 +-
 help/th/th.po                   |    2 +-
 help/tk/tk.po                   |    2 +-
 help/tr/tr.po                   |    2 +-
 help/ug/ug.po                   |    2 +-
 help/uk/uk.po                   |   19 +-
 help/ur/ur.po                   |    2 +-
 help/uz/uz.po                   |    2 +-
 help/vi/vi.po                   |    2 +-
 help/wa/wa.po                   |    2 +-
 help/xh/xh.po                   |    2 +-
 help/yo/yo.po                   |    2 +-
 help/zh_CN/zh_CN.po             |    2 +-
 help/zh_HK/zh_HK.po             |    2 +-
 help/zh_TW/zh_TW.po             |    2 +-
 help/zu/zu.po                   |    2 +-
 po/af.po                        |  390 ++--
 po/am.po                        |  402 ++--
 po/ar.po                        |  406 ++--
 po/as.po                        |  398 ++--
 po/ast.po                       |  400 ++--
 po/az.po                        |  390 ++--
 po/be.po                        |  404 ++--
 po/bg.po                        |  406 ++--
 po/bn.po                        |  398 ++--
 po/bn_IN.po                     |  398 ++--
 po/br.po                        |  394 ++--
 po/bs.po                        |  392 ++--
 po/ca.po                        |  408 ++--
 po/ca@valencia.po               |  404 ++--
 po/cmn.po                       |  398 ++--
 po/crh.po                       |  398 ++--
 po/cs.po                        |  410 +++--
 po/cy.po                        |  394 ++--
 po/da.po                        |  408 ++--
 po/de.po                        |  406 ++--
 po/dz.po                        |  390 ++--
 po/el.po                        |  405 ++--
 po/en_AU.po                     |  402 ++--
 po/en_CA.po                     |  390 ++--
 po/en_GB.po                     |  412 +++--
 po/eo.po                        |  390 ++--
 po/es_AR.po                     |  386 ++--
 po/es_CL.po                     |  386 ++--
 po/es_CO.po                     |  391 ++--
 po/es_MX.po                     |  390 ++--
 po/es_PR.po                     |  386 ++--
 po/et.po                        |  467 ++---
 po/eu.po                        |  434 +++--
 po/fa.po                        |  390 ++--
 po/fi.po                        |  404 ++--
 po/fr.po                        |  412 +++--
 po/frp.po                       |  386 ++--
 po/fur.po                       |  390 ++--
 po/fy.po                        |  386 ++--
 po/ga.po                        |  398 ++--
 po/gl.po                        |  406 ++--
 po/gu.po                        |  398 ++--
 po/ha.po                        |  386 ++--
 po/hi.po                        |  398 ++--
 po/hr.po                        |  404 ++--
 po/hu.po                        |  406 ++--
 po/hy.po                        |  404 ++--
 po/ia.po                        |  386 ++--
 po/id.po                        |   10 +-
 po/ie.po                        | 1096 +++++------
 po/ig.po                        |  386 ++--
 po/is.po                        |  402 ++--
 po/it.po                        |  410 +++--
 po/ja.po                        |  568 +++---
 po/ka.po                        |  399 ++--
 po/kab.po                       |  390 ++--
 po/kk.po                        |  404 ++--
 po/kn.po                        |  400 ++--
 po/ko.po                        |  408 ++--
 po/ku.po                        |  390 ++--
 po/ku_IQ.po                     |  394 ++--
 po/ky.po                        |  398 ++--
 po/li.po                        |  390 ++--
 po/lt.po                        |  404 ++--
 po/lv.po                        |  398 ++--
 po/mai.po                       |  390 ++--
 po/mg.po                        |  390 ++--
 po/mi.po                        |  390 ++--
 po/mk.po                        |  390 ++--
 po/ml.po                        |  398 ++--
 po/mn.po                        |  390 ++--
 po/mr.po                        |  402 ++--
 po/ms.po                        |  404 ++--
 po/nb.po                        |  410 +++--
 po/nds.po                       |  404 ++--
 po/ne.po                        |  390 ++--
 po/nl.po                        |  412 +++--
 po/nn.po                        |  398 ++--
 po/nso.po                       |  390 ++--
 po/oc.po                        |  434 +++--
 po/or.po                        |  398 ++--
 po/pa.po                        |  398 ++--
 po/pl.po                        |  409 +++--
 po/pms.po                       | 3879 ++++++++++++++++++++++++++++++---------
 po/ps.po                        |  390 ++--
 po/pt.po                        |  408 ++--
 po/pt_BR.po                     |  441 ++---
 po/ro.po                        |  406 ++--
 po/rw.po                        |  386 ++--
 po/si.po                        |  390 ++--
 po/sk.po                        |  406 ++--
 po/sl.po                        |  410 +++--
 po/sq.po                        |  394 ++--
 po/sr.po                        |    8 +-
 po/sr@latin.po                  |  398 ++--
 po/sv.po                        |  415 +++--
 po/ta.po                        |  398 ++--
 po/te.po                        |  398 ++--
 po/th.po                        |  392 ++--
 po/tk.po                        |  390 ++--
 po/tr.po                        |  409 +++--
 po/ug.po                        |  398 ++--
 po/uk.po                        |  782 ++++----
 po/ur.po                        |  398 ++--
 po/uz.po                        |  394 ++--
 po/vi.po                        |  390 ++--
 po/wa.po                        |  390 ++--
 po/xh.po                        |  390 ++--
 po/yi.po                        |  390 ++--
 po/yo.po                        |  386 ++--
 po/zh_CN.po                     |  408 ++--
 po/zh_HK.po                     |  398 ++--
 po/zh_TW.po                     |  406 ++--
 po/zu.po                        |  390 ++--
 225 files changed, 30702 insertions(+), 22729 deletions(-)

commit f6c71d1206a237d46cee1e823ae7a6222979f08b
Author: raveit65 <mate@raveit.de>
Date:   Tue Jan 23 12:24:02 2024 +0100

    ci: use ubuntu jammy as docker

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87eb9c7c59ec952ddc5508c7efb7251d662b24ed
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Dec 28 21:58:52 2023 -0500

    Meson: fix mate-time-admin directory error
    
    *Ensure we attempt to load files
    *from mate-time-admin/map/
    *not  mate-time-admin/map
    
    Otherwise mate-time-admin built with meson cannot find the files and errors out

 capplets/time-admin/src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bca3b80da6b3653ada9e0546a3fd053cdc4651d0
Author: zhuyaliang <15132211195@163.com>
Date:   Thu Oct 19 11:41:29 2023 +0800

    Add meson build support

 capplets/about-me/meson.build                    |  41 +++++
 capplets/accessibility/at-properties/meson.build |  49 ++++++
 capplets/appearance/data/meson.build             |  46 ++++++
 capplets/appearance/meson.build                  |  50 ++++++
 capplets/common/meson.build                      |  46 ++++++
 capplets/default-applications/icons/meson.build  |  15 ++
 capplets/default-applications/meson.build        |  54 +++++++
 capplets/display/meson.build                     |  60 ++++++++
 capplets/keybindings/meson.build                 |  70 +++++++++
 capplets/keyboard/meson.build                    |  42 +++++
 capplets/meson.build                             |  13 ++
 capplets/mouse/meson.build                       |  36 +++++
 capplets/network/meson.build                     |  35 +++++
 capplets/system-info/meson.build                 |  37 +++++
 capplets/time-admin/data/meson.build             |  15 ++
 capplets/time-admin/meson.build                  |   2 +
 capplets/time-admin/src/meson.build              |  29 ++++
 capplets/windows/meson.build                     |  36 +++++
 font-viewer/meson.build                          |  54 +++++++
 help/LINGUAS                                     | 113 ++++++++++++++
 help/meson.build                                 |  22 +++
 man/meson.build                                  |  17 +++
 meson.build                                      | 186 +++++++++++++++++++++++
 meson_options.txt                                |   2 +
 meson_post_install.py                            |  19 +++
 po/meson.build                                   |   6 +
 shell/meson.build                                |  60 ++++++++
 typing-break/meson.build                         |  57 +++++++
 28 files changed, 1212 insertions(+)

commit c2e94e1925f3c7acfa3fd3352dc8fdafe6375adc
Author: zhuyaliang <15132211195@163.com>
Date:   Wed Oct 25 21:43:03 2023 +0800

    Remove libslab library
    libslab is only used in mate-c-c and there is no need to provide a library

 Makefile.am                                |  8 +---
 configure.ac                               | 19 +-------
 libslab/Makefile.am                        | 71 ------------------------------
 libslab/mate-slab.pc.in                    | 12 -----
 po/POTFILES.in                             |  8 ++--
 shell/Makefile.am                          | 55 +++++++++++++++++++----
 {libslab => shell}/app-resizer.c           |  0
 {libslab => shell}/app-resizer.h           |  0
 {libslab => shell}/app-shell.c             |  0
 {libslab => shell}/app-shell.h             |  0
 {libslab => shell}/application-tile.c      |  0
 {libslab => shell}/application-tile.h      |  0
 {libslab => shell}/bookmark-agent.c        |  0
 {libslab => shell}/bookmark-agent.h        |  0
 shell/control-center.c                     |  2 +-
 {libslab => shell}/double-click-detector.c |  0
 {libslab => shell}/double-click-detector.h |  0
 {libslab => shell}/libslab-utils.c         |  0
 {libslab => shell}/libslab-utils.h         |  0
 {libslab => shell}/mate-utils.c            |  0
 {libslab => shell}/mate-utils.h            |  0
 {libslab => shell}/nameplate-tile.c        |  0
 {libslab => shell}/nameplate-tile.h        |  0
 {libslab => shell}/nld-marshal.list        |  0
 {libslab => shell}/search-bar.c            |  0
 {libslab => shell}/search-bar.h            |  0
 {libslab => shell}/shell-window.c          |  0
 {libslab => shell}/shell-window.h          |  0
 {libslab => shell}/slab-mate-util.c        |  0
 {libslab => shell}/slab-mate-util.h        |  0
 {libslab => shell}/slab-section.c          |  0
 {libslab => shell}/slab-section.h          |  0
 {libslab => shell}/slab.h                  |  0
 {libslab => shell}/themed-icon.c           |  0
 {libslab => shell}/themed-icon.h           |  0
 {libslab => shell}/tile-action.c           |  0
 {libslab => shell}/tile.c                  |  0
 {libslab => shell}/tile.h                  |  0
 38 files changed, 55 insertions(+), 120 deletions(-)

commit 23fc7b675ebac7a9b02257a31203974d72f584b1
Author: zhuyaliang <15132211195@163.com>
Date:   Tue Oct 24 11:11:41 2023 +0800

    appearance: Fix compilation warnings replace deprecated functions
    g_pattern_match_string has been deprecated since GLib 2.70

 capplets/appearance/appearance-desktop.c | 29 +++++++++-----------
 capplets/appearance/theme-installer.c    | 45 +++++++++++++++++++-------------
 2 files changed, 39 insertions(+), 35 deletions(-)

commit b1331ef7978fdaa11049d9958e4ed279103af570
Author: zhuyaliang <15132211195@163.com>
Date:   Mon Oct 23 16:47:38 2023 +0800

    common: Fix compilation warnings replace deprecated functions gtk_rc_get_theme_dir and gtk_rc_scanner_new

 capplets/common/Makefile.am       |  1 +
 capplets/common/gtkrc-utils.c     | 47 ++++++++++++++++++++++++++++++++++++++-
 capplets/common/mate-theme-test.c | 18 ++++++++++++++-
 3 files changed, 64 insertions(+), 2 deletions(-)

commit 1a837ccdb078c0021588809814bfa80641acc3a8
Author: zhuyaliang <15132211195@163.com>
Date:   Wed Oct 18 16:28:00 2023 +0800

    typing-break: Force dependency on appindicator and remove deprecated GtkStatusIcon

 .build.yml               |   2 +
 configure.ac             |  50 ++++-----
 typing-break/Makefile.am |   8 +-
 typing-break/drwright.c  | 285 +----------------------------------------------
 typing-break/main.c      |  48 ++++----
 5 files changed, 61 insertions(+), 332 deletions(-)

commit f27d27edf0b97f292a8b6b93fe262fd9b5a4ff2a
Author: zhuyaliang <15132211195@163.com>
Date:   Tue Oct 10 11:41:27 2023 +0800

    typing-break: Fix compilation warnings and replace deprecated functions

 typing-break/drw-break-window.c |  14 ++--
 typing-break/drw-utils.c        |  22 +++---
 typing-break/drwright.c         | 166 +++++++++++++++++++++++++---------------
 3 files changed, 122 insertions(+), 80 deletions(-)

commit 4bd1a51c9a5d0d5e2f570a21d12b521e68cc4ffd
Author: zhuyaliang <15132211195@163.com>
Date:   Wed Oct 11 13:38:16 2023 +0800

    Remove  "libwindow settings" that are no longer in use

 Makefile.am                                       |   4 +-
 capplets/common/Makefile.am                       |   2 -
 configure.ac                                      |   2 -
 libwindow-settings/Makefile.am                    |  55 ---
 libwindow-settings/marco-window-manager.c         | 501 ----------------------
 libwindow-settings/marco-window-manager.h         |  30 --
 libwindow-settings/mate-window-manager.c          | 270 ------------
 libwindow-settings/mate-window-manager.h          | 171 --------
 libwindow-settings/mate-window-settings-2.0.pc.in |  11 -
 libwindow-settings/mate-wm-manager.c              | 322 --------------
 libwindow-settings/mate-wm-manager.h              |  16 -
 po/POTFILES.in                                    |   2 -
 12 files changed, 2 insertions(+), 1384 deletions(-)

commit 59f29767052e91951d11adca3940d5a4fc0728b1
Author: zhuyaliang <15132211195@163.com>
Date:   Tue Oct 10 16:54:40 2023 +0800

    capplets/display: Fix compilation warnings and replace deprecated functions

 capplets/display/scrollarea.c     | 56 ++++++++++++++++++++++++++++-----------
 capplets/display/xrandr-capplet.c | 31 +++++++++++++++++-----
 2 files changed, 64 insertions(+), 23 deletions(-)

commit b4205246abe19ce52c11c326dd83b1dcda01d2bd
Author: zhuyaliang <15132211195@163.com>
Date:   Sun Oct 8 22:39:44 2023 +0800

    libslab: Fix compilation warnings and replace deprecated functions

 libslab/app-resizer.c      | 22 ++++++++++++++++----
 libslab/application-tile.c | 34 ++++++++++++++++++++++++++-----
 libslab/slab-section.c     | 50 ++++++++++++++++++++++++++++++++++++++++------
 3 files changed, 91 insertions(+), 15 deletions(-)

commit 9df51ef52b7c6e29dd02a1c44d488074893d0c28
Author: zhuyaliang <15132211195@163.com>
Date:   Mon Oct 9 09:52:30 2023 +0800

    font-viewer: Fix compilation warnings and replace deprecated functions

 font-viewer/font-view.c | 44 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 42 insertions(+), 2 deletions(-)

commit 8a4929783cc8720760589caeb5f2263c3dab744b
Author: zhuyaliang <15132211195@163.com>
Date:   Mon Oct 9 11:24:35 2023 +0800

    appearance: Remove useless match_wm_manager_init function

 capplets/appearance/Makefile.am         | 1 -
 capplets/appearance/appearance-themes.c | 2 --
 2 files changed, 3 deletions(-)

commit 5d9cbe65cdf296d9a69c93712243617dd6ba6848
Author: zhuyaliang <15132211195@163.com>
Date:   Thu Sep 28 10:41:46 2023 +0800

    Add new capplets: system info

 .build.yml                                       |   6 +
 capplets/Makefile.am                             |   6 +-
 capplets/system-info/Makefile.am                 |  45 ++
 capplets/system-info/info-cleanup.c              | 133 ++++
 capplets/system-info/info-cleanup.h              |  23 +
 capplets/system-info/main.c                      |  35 ++
 capplets/system-info/mate-system-info.c          | 758 +++++++++++++++++++++++
 capplets/system-info/mate-system-info.desktop.in |  13 +
 capplets/system-info/mate-system-info.h          |  41 ++
 capplets/system-info/mate-system-info.ui         | 156 +++++
 capplets/system-info/system-info.gresource.xml   |   6 +
 configure.ac                                     |   9 +
 org.mate.control-center.gschema.xml.in           |   2 +-
 po/POTFILES.in                                   |   4 +
 14 files changed, 1234 insertions(+), 3 deletions(-)

commit bc4db7647c5a1b2a1ec4fadea1e05ddfa9c98f18
Author: raveit65 <mate@raveit.de>
Date:   Sat Sep 16 14:14:57 2023 +0200

    tx: fix warnings in Japanese and Serbian translations

 help/id/id.po |  28 ++--
 help/sr/sr.po |   7 +-
 po/id.po      | 413 +++++++++++++++++++++++++++++++---------------------------
 po/sr.po      | 406 ++++++++++++++++++++++++++++++---------------------------
 4 files changed, 453 insertions(+), 401 deletions(-)

commit e6bf77b10224e570ac12aabca7156601bdbfa3f4
Author: zhuyaliang <15132211195@163.com>
Date:   Mon Sep 11 17:01:49 2023 +0800

    Update glib2 dependency version from 2.50 to 2.64

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d572fa09e38fd5f72db5a76f406024f5db4d2f4e
Author: raveit65 <mate@raveit.de>
Date:   Sat Sep 2 16:53:30 2023 +0200

    tx: update resources

 mate-control-center.pot | 384 ++++++++++++++++++++++++++----------------------
 1 file changed, 205 insertions(+), 179 deletions(-)

commit bc562a7db0b620b0a575ff521f6189be14f4105c
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Aug 7 15:21:32 2023 -0400

    libslab: Remove gdk/gdkx.h from includes
    
    *It's no longer used after updating monitor measurements for column sizing not to use a gdk-x11 function

 libslab/app-shell.c | 1 -
 1 file changed, 1 deletion(-)

commit b35bbb991536b7cc21b4c77ba993954a40316dd9
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Aug 7 00:41:32 2023 -0400

    Wayland: remove xisms from screen width detection
    
    *This permits the control center to run on wayland and simplifies to code

 libslab/app-shell.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit e99f157740660e6ef28f1bba7560cb9d52d5d1ad
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue May 30 10:39:01 2023 +0200

    windows: Fix UI accessibility (#704)
    
    Use real frames for a semantic UI so GTK and screen readers can set up
    and figure out accessibility relationships between the frame label and
    the content automatically.
    
    Also properly add relationships between the movement keys descriptive
    label and the key radio items so a screen reader can pick it up.  As a
    bonus, it also prevents Orca from erroneously announcing the label when
    the window comes up because it thinks this long orphaned label is
    probably a general description for the window.
    
    Fixes #703.

 capplets/windows/mate-window-properties.c |  22 +++
 capplets/windows/window-properties.ui     | 306 +++++++++++-------------------
 2 files changed, 135 insertions(+), 193 deletions(-)

commit 8da51f3e690cbc3e9ce8dd5b0dc700f1097d78da
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed May 24 10:21:24 2023 +0200

    windows: Fix spacing in the Compositing Manager tab

 capplets/windows/window-properties.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a85b51998ede3fc26c4711862cae02243ca3d77c
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Dec 22 08:56:29 2021 +0100

    Fix implicit conversion changes signedness: 'gboolean' to 'guint'

 capplets/common/mate-theme-info.c         | 6 +++---
 libwindow-settings/marco-window-manager.c | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 7a4e5a1ebe46407ebbfa9893049c2d0eb39bed8b
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 30 16:24:00 2022 +0100

    keybindings: fix memory leak

 capplets/keybindings/mate-keybinding-properties.c | 68 ++++++++++++++---------
 1 file changed, 41 insertions(+), 27 deletions(-)

commit e6409a52cd242ec4564585525ff85912cb9c9c61
Author: zhuyaliang <15132211195@163.com>
Date:   Tue Apr 4 11:39:52 2023 +0800

    appearance: use mate_image_menu_item replace gtk_image_menu_item

 .build.yml                             |  2 +-
 capplets/appearance/appearance-ui.c    |  8 ++--
 capplets/appearance/appearance.h       |  1 +
 capplets/appearance/data/appearance.ui | 88 ++++++++++++++++++++++++----------
 configure.ac                           |  2 +-
 5 files changed, 71 insertions(+), 30 deletions(-)

commit 4be54ce126c7f511f63d5b6d02d3d9a6c3c15f32
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 30 15:49:25 2022 +0100

    keyboard: fix memory leak

 capplets/keyboard/mate-keyboard-properties-xkbmc.c | 43 ++++++++++++----------
 1 file changed, 23 insertions(+), 20 deletions(-)

commit 3382f1ad48abddcb3f235bf0e14f2d0fa48e3dfc
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Nov 11 20:33:19 2022 +0100

    release 1.27.0

 NEWS         | 28 ++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 29 insertions(+), 1 deletion(-)

commit 80ba296e7fd5cc16b4de7219f96ad81cd7324803
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:14 2022 +0100

    tx: sync with transifex

 help/af/af.po                   |   6 +-
 help/am/am.po                   |   6 +-
 help/ar/ar.po                   |   6 +-
 help/as/as.po                   |   6 +-
 help/ast/ast.po                 |   6 +-
 help/az/az.po                   |   6 +-
 help/be/be.po                   |   6 +-
 help/bg/bg.po                   |   6 +-
 help/bn/bn.po                   |   6 +-
 help/bn_IN/bn_IN.po             |   6 +-
 help/br/br.po                   |   6 +-
 help/bs/bs.po                   |   6 +-
 help/ca/ca.po                   |   4 +-
 help/ca@valencia/ca@valencia.po |   6 +-
 help/cmn/cmn.po                 |   6 +-
 help/crh/crh.po                 |   6 +-
 help/cs/cs.po                   |   8 +-
 help/cy/cy.po                   |   6 +-
 help/da/da.po                   |  35 +-
 help/de/de.po                   |   6 +-
 help/dz/dz.po                   |   6 +-
 help/el/el.po                   |   8 +-
 help/en_AU/en_AU.po             |   6 +-
 help/en_CA/en_CA.po             |   6 +-
 help/en_GB/en_GB.po             |   4 +-
 help/eo/eo.po                   |  21 +-
 help/es/es.po                   |  30 +-
 help/es_AR/es_AR.po             |   8 +-
 help/es_CL/es_CL.po             |  10 +-
 help/es_CO/es_CO.po             |   8 +-
 help/es_MX/es_MX.po             |   8 +-
 help/et/et.po                   |   6 +-
 help/eu/eu.po                   |   6 +-
 help/fa/fa.po                   |   6 +-
 help/fi/fi.po                   |   6 +-
 help/fr/fr.po                   |   8 +-
 help/frp/frp.po                 |   6 +-
 help/fur/fur.po                 |   6 +-
 help/fy/fy.po                   |   6 +-
 help/ga/ga.po                   |   6 +-
 help/gl/gl.po                   |   6 +-
 help/gu/gu.po                   |  11 +-
 help/ha/ha.po                   |   6 +-
 help/he/he.po                   |   6 +-
 help/hi/hi.po                   |   6 +-
 help/hr/hr.po                   |   6 +-
 help/hu/hu.po                   |   6 +-
 help/hy/hy.po                   |   6 +-
 help/id/id.po                   | 713 +++++++++++++++++++++++++-------
 help/ie/ie.po                   |   6 +-
 help/ig/ig.po                   |   6 +-
 help/is/is.po                   |   6 +-
 help/it/it.po                   | 108 +++--
 help/ja/ja.po                   |   6 +-
 help/ka/ka.po                   |   6 +-
 help/kab/kab.po                 |   6 +-
 help/kk/kk.po                   |   6 +-
 help/kn/kn.po                   |   6 +-
 help/ko/ko.po                   |   8 +-
 help/ku/ku.po                   |   6 +-
 help/ku_IQ/ku_IQ.po             |   6 +-
 help/ky/ky.po                   |   6 +-
 help/li/li.po                   |   6 +-
 help/lt/lt.po                   |   8 +-
 help/lv/lv.po                   |   6 +-
 help/mai/mai.po                 |   6 +-
 help/mg/mg.po                   |   6 +-
 help/mk/mk.po                   |   6 +-
 help/ml/ml.po                   |   6 +-
 help/mn/mn.po                   |   6 +-
 help/mr/mr.po                   |   6 +-
 help/ms/ms.po                   |   6 +-
 help/nb/nb.po                   |   6 +-
 help/nds/nds.po                 |   6 +-
 help/ne/ne.po                   |   6 +-
 help/nl/nl.po                   |  21 +-
 help/nn/nn.po                   |   6 +-
 help/nso/nso.po                 |   6 +-
 help/oc/oc.po                   |   8 +-
 help/or/or.po                   |   8 +-
 help/pa/pa.po                   |   6 +-
 help/pl/pl.po                   |   8 +-
 help/ps/ps.po                   |   8 +-
 help/pt/pt.po                   |   8 +-
 help/pt_BR/pt_BR.po             |  12 +-
 help/ro/ro.po                   |   6 +-
 help/ru/ru.po                   |  19 +-
 help/rw/rw.po                   |   6 +-
 help/si/si.po                   |   6 +-
 help/sk/sk.po                   |   6 +-
 help/sl/sl.po                   |   8 +-
 help/sq/sq.po                   |   6 +-
 help/sr/sr.po                   |  10 +-
 help/sr@latin/sr@latin.po       |   6 +-
 help/sv/sv.po                   |   6 +-
 help/ta/ta.po                   |   6 +-
 help/te/te.po                   |   6 +-
 help/th/th.po                   |   6 +-
 help/tk/tk.po                   |   6 +-
 help/tr/tr.po                   |  14 +-
 help/ug/ug.po                   |   6 +-
 help/uk/uk.po                   |  31 +-
 help/ur/ur.po                   |   6 +-
 help/uz/uz.po                   |   8 +-
 help/vi/vi.po                   |   6 +-
 help/wa/wa.po                   |   6 +-
 help/xh/xh.po                   |   6 +-
 help/yo/yo.po                   |   6 +-
 help/zh_CN/zh_CN.po             |   8 +-
 help/zh_HK/zh_HK.po             |   6 +-
 help/zh_TW/zh_TW.po             |   6 +-
 help/zu/zu.po                   |   6 +-
 po/af.po                        | 273 +++++++------
 po/am.po                        | 273 +++++++------
 po/ar.po                        | 282 +++++++------
 po/as.po                        | 273 +++++++------
 po/ast.po                       | 273 +++++++------
 po/az.po                        | 273 +++++++------
 po/be.po                        | 277 +++++++------
 po/bg.po                        | 273 +++++++------
 po/bn.po                        | 273 +++++++------
 po/bn_IN.po                     | 273 +++++++------
 po/br.po                        | 273 +++++++------
 po/bs.po                        | 273 +++++++------
 po/ca.po                        | 273 +++++++------
 po/ca@valencia.po               | 273 +++++++------
 po/cmn.po                       | 273 +++++++------
 po/crh.po                       | 273 +++++++------
 po/cs.po                        | 279 +++++++------
 po/cy.po                        | 273 +++++++------
 po/da.po                        | 289 +++++++------
 po/de.po                        | 273 +++++++------
 po/dz.po                        | 273 +++++++------
 po/el.po                        | 305 +++++++-------
 po/en_AU.po                     | 273 +++++++------
 po/en_CA.po                     | 273 +++++++------
 po/en_GB.po                     | 489 +++++++++++-----------
 po/eo.po                        | 358 ++++++++---------
 po/es.po                        | 870 +++++++++++++---------------------------
 po/es_AR.po                     | 277 +++++++------
 po/es_CL.po                     | 279 +++++++------
 po/es_CO.po                     | 277 +++++++------
 po/es_MX.po                     | 277 +++++++------
 po/es_PR.po                     | 277 +++++++------
 po/et.po                        | 273 +++++++------
 po/eu.po                        | 279 +++++++------
 po/fa.po                        | 275 +++++++------
 po/fi.po                        | 277 +++++++------
 po/fr.po                        | 277 +++++++------
 po/frp.po                       | 273 +++++++------
 po/fur.po                       | 273 +++++++------
 po/fy.po                        | 273 +++++++------
 po/ga.po                        | 273 +++++++------
 po/gl.po                        | 273 +++++++------
 po/gu.po                        | 273 +++++++------
 po/ha.po                        | 273 +++++++------
 po/he.po                        | 273 +++++++------
 po/hi.po                        | 273 +++++++------
 po/hr.po                        | 301 +++++++-------
 po/hu.po                        | 273 +++++++------
 po/hy.po                        | 273 +++++++------
 po/ia.po                        | 273 +++++++------
 po/id.po                        | 273 +++++++------
 po/ie.po                        | 273 +++++++------
 po/ig.po                        | 273 +++++++------
 po/is.po                        | 273 +++++++------
 po/it.po                        | 711 ++++++++++++++++----------------
 po/ja.po                        | 319 ++++++++-------
 po/ka.po                        | 273 +++++++------
 po/kab.po                       | 273 +++++++------
 po/kk.po                        | 273 +++++++------
 po/kn.po                        | 273 +++++++------
 po/ko.po                        | 275 +++++++------
 po/ku.po                        | 273 +++++++------
 po/ku_IQ.po                     | 273 +++++++------
 po/ky.po                        | 273 +++++++------
 po/li.po                        | 273 +++++++------
 po/lt.po                        | 287 +++++++------
 po/lv.po                        | 273 +++++++------
 po/mai.po                       | 273 +++++++------
 po/mg.po                        | 273 +++++++------
 po/mi.po                        | 273 +++++++------
 po/mk.po                        | 273 +++++++------
 po/ml.po                        | 273 +++++++------
 po/mn.po                        | 273 +++++++------
 po/mr.po                        | 273 +++++++------
 po/ms.po                        | 273 +++++++------
 po/nb.po                        | 285 +++++++------
 po/nds.po                       | 273 +++++++------
 po/ne.po                        | 273 +++++++------
 po/nl.po                        | 273 +++++++------
 po/nn.po                        | 273 +++++++------
 po/nso.po                       | 273 +++++++------
 po/oc.po                        | 523 +++++++++++++-----------
 po/or.po                        | 275 +++++++------
 po/pa.po                        | 273 +++++++------
 po/pl.po                        | 291 +++++++-------
 po/ps.po                        | 275 +++++++------
 po/pt.po                        | 402 ++++++++++---------
 po/pt_BR.po                     | 306 +++++++-------
 po/ro.po                        | 275 +++++++------
 po/ru.po                        | 324 +++++++--------
 po/rw.po                        | 273 +++++++------
 po/si.po                        | 273 +++++++------
 po/sk.po                        | 281 +++++++------
 po/sl.po                        | 462 ++++++++++-----------
 po/sq.po                        | 277 +++++++------
 po/sr.po                        | 273 +++++++------
 po/sr@latin.po                  | 273 +++++++------
 po/sv.po                        | 297 +++++++-------
 po/ta.po                        | 273 +++++++------
 po/te.po                        | 273 +++++++------
 po/th.po                        | 273 +++++++------
 po/tk.po                        | 273 +++++++------
 po/tr.po                        | 526 ++++++++++++------------
 po/ug.po                        | 273 +++++++------
 po/uk.po                        | 306 +++++++-------
 po/ur.po                        | 273 +++++++------
 po/uz.po                        | 275 +++++++------
 po/vi.po                        | 273 +++++++------
 po/wa.po                        | 273 +++++++------
 po/xh.po                        | 273 +++++++------
 po/yi.po                        | 273 +++++++------
 po/yo.po                        | 273 +++++++------
 po/zh_CN.po                     | 703 ++++++++++++++++----------------
 po/zh_HK.po                     | 273 +++++++------
 po/zh_TW.po                     | 279 +++++++------
 po/zu.po                        | 273 +++++++------
 228 files changed, 18120 insertions(+), 18184 deletions(-)

commit a41f3446cb955c169ac652b9dc8c406cac813266
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jul 25 15:18:58 2022 +0200

    configure.ac: The macro 'AC_HELP_STRING' is obsolete

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c8ccd209f65f16ab2d3d518e0b1dfa7026ba3a66
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 help/mate-control-center.pot |   2 +-
 mate-control-center.pot      | 251 ++++++++++++++++++++++---------------------
 2 files changed, 129 insertions(+), 124 deletions(-)

commit c43ffd81195dc075cf003975167c9d80f8192c12
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:54:55 2022 +0200

    tx: migrate config file

 .tx/config                    | 23 ++++++++++++-----------
 .tx/config_20221028214813.bak | 16 ++++++++++++++++
 2 files changed, 28 insertions(+), 11 deletions(-)

commit 66a479316625269c2e054e9c8a40237b357ab344
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 26 15:18:33 2021 +0200

    bookmark-agent: remove whitespaces before #if, #else, and #endif

 libslab/bookmark-agent.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 384ce5d35897453a5dcca79c2633035dd40aeaa1
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 1 10:21:17 2021 +0100

    bookmark-agent: fix backward compatibility with glib < 2.66

 libslab/bookmark-agent.c | 13 ++++++++++++-
 libslab/bookmark-agent.h |  9 ++++++++-
 2 files changed, 20 insertions(+), 2 deletions(-)

commit f6bd25fdf6196dd98d36708966e13e58a22d6c85
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 8 12:11:12 2021 +0100

    appearance-style: fix memory leak

 capplets/appearance/appearance-style.c | 1 +
 1 file changed, 1 insertion(+)

commit 47b5bd2b1759c27b48123957a8aa9c36c2414a39
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 16:50:59 2021 +0200

    Unnecessary GTK_WIDGET cast

 capplets/about-me/mate-about-me-fingerprint.c      |  47 +++--
 capplets/about-me/mate-about-me-password.c         |  10 +-
 capplets/about-me/mate-about-me.c                  |  20 +-
 capplets/keyboard/mate-keyboard-properties-a11y.c  | 231 ++++++++++-----------
 .../keyboard/mate-keyboard-properties-xkbltadd.c   |   4 +-
 capplets/keyboard/mate-keyboard-properties.c       | 112 ++++------
 capplets/mouse/mate-mouse-properties.c             | 101 +++++----
 7 files changed, 255 insertions(+), 270 deletions(-)

commit 2a06f17c2ef442bd63cc0463c5ee2d5b6cc84c64
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 14:22:58 2021 +0200

    Unnecessary G_OBJECT cast when calling signal connect function

 capplets/about-me/mate-about-me-fingerprint.c      | 35 +++++++++------
 capplets/about-me/mate-about-me-password.c         | 25 ++++++-----
 capplets/accessibility/at-properties/main.c        |  6 +--
 capplets/appearance/appearance-font.c              | 12 ++---
 capplets/common/capplet-util.c                     |  6 +--
 capplets/keybindings/eggcellrendererkeys.c         |  7 +--
 capplets/keyboard/mate-keyboard-properties-xkb.c   | 31 +++++++------
 capplets/keyboard/mate-keyboard-properties-xkblt.c | 52 +++++++++++-----------
 .../keyboard/mate-keyboard-properties-xkbltadd.c   | 26 +++++------
 capplets/keyboard/mate-keyboard-properties-xkbmc.c | 23 ++++------
 capplets/network/mate-network-properties.c         |  6 +--
 capplets/windows/mate-window-properties.c          |  6 +--
 libslab/app-resizer.c                              |  4 +-
 libslab/app-shell.c                                |  5 ++-
 libslab/slab-section.c                             | 29 ++++++------
 libslab/tile-action.c                              |  5 ++-
 16 files changed, 146 insertions(+), 132 deletions(-)

commit 0bfa4ca16e527fdc333fc1ded8b1d9f5963ccf1e
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Nov 23 11:07:16 2021 +0100

    Remove build warning -Wbad-function-cast

 capplets/appearance/appearance-style.c | 4 +++-
 font-viewer/font-thumbnailer.c         | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 4e386853640efa4f101fee6b446e5a5fb8858207
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Feb 8 12:25:30 2022 +0100

    mate-theme-info: code formatting

 capplets/common/mate-theme-info.c | 732 ++++++++++++++++++++------------------
 1 file changed, 381 insertions(+), 351 deletions(-)

commit f55958b8fa846389d30fb4c4a53855949831c590
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 22 14:44:46 2021 +0200

    common: fix memory leak detected by scan-build

 capplets/common/mate-theme-info.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit adb7473aa58143cfcba554e3d8d35943f850f362
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 22 14:28:49 2021 +0200

    keybindings: redundant initialization for 'p'

 capplets/keybindings/mate-keybinding-properties.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e4b0b64458cc32d08a47dbffebeb1fcec7087a95
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 8 13:17:12 2021 +0100

    mate-da-capplet: fix memory leak

 capplets/default-applications/mate-da-capplet.c | 1 +
 1 file changed, 1 insertion(+)

commit f47234f789171942f8195df62a945b14216238d4
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 22 13:18:23 2021 +0200

    keyboard: fix memory leak

 capplets/keyboard/mate-keyboard-properties.c | 1 +
 1 file changed, 1 insertion(+)

commit acd86d8e6b6e3d5097a5a99e2ed18366791c7a10
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 22 13:15:31 2021 +0200

    mouse: fix memory leak

 capplets/mouse/mate-mouse-properties.c | 1 +
 1 file changed, 1 insertion(+)

commit 17ccb4f4bd610252e4ea600546750ddcc09c855a
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 17:23:33 2021 +0200

    Use a blank line at most

 capplets/about-me/e-image-chooser.c                |  2 --
 capplets/about-me/mate-about-me-password.c         |  2 --
 capplets/appearance/appearance-desktop.c           |  1 -
 capplets/appearance/appearance-style.c             |  1 -
 capplets/appearance/mate-wp-item.c                 |  1 -
 capplets/common/gtkrc-utils.c                      |  1 -
 capplets/common/mate-theme-info.c                  |  2 --
 capplets/common/theme-thumbnail.c                  |  6 -----
 capplets/default-applications/mate-da-capplet.c    |  1 -
 capplets/display/xrandr-capplet.c                  |  2 --
 capplets/keybindings/eggcellrendererkeys.c         |  3 ---
 capplets/keybindings/mate-keybinding-properties.c  |  3 ---
 capplets/keyboard/mate-keyboard-properties-xkblt.c |  1 -
 .../keyboard/mate-keyboard-properties-xkbltadd.c   | 29 ----------------------
 capplets/keyboard/mate-keyboard-properties.c       |  1 -
 capplets/mouse/mate-mouse-properties.c             |  2 --
 capplets/time-admin/src/time-map.c                 |  4 ---
 capplets/time-admin/src/time-zone.c                |  1 -
 font-viewer/font-model.c                           |  1 -
 font-viewer/font-view.c                            |  1 -
 libslab/app-resizer.c                              |  1 -
 libslab/application-tile.c                         |  5 ----
 libslab/bookmark-agent.c                           |  9 -------
 libslab/libslab-utils.c                            |  1 -
 libslab/slab-mate-util.c                           |  1 -
 libwindow-settings/marco-window-manager.c          |  3 ---
 libwindow-settings/mate-window-manager.c           |  3 ---
 typing-break/drw-break-window.c                    |  1 -
 typing-break/drw-monitor.c                         |  2 --
 typing-break/drw-selection.c                       |  1 -
 30 files changed, 92 deletions(-)

commit 9d702031671fa8aa4cdf6ea512b3f59b8ea3da37
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 28 14:27:24 2021 +0200

    Fix build warnings about missing field initializer

 capplets/appearance/appearance-main.c           | 2 +-
 capplets/default-applications/mate-da-capplet.c | 4 +++-
 capplets/keybindings/eggcellrendererkeys.c      | 4 +++-
 capplets/keyboard/mate-keyboard-properties.c    | 2 +-
 capplets/mouse/mate-mouse-properties.c          | 2 +-
 font-viewer/font-thumbnailer.c                  | 2 +-
 font-viewer/font-view.c                         | 4 ++--
 shell/control-center.c                          | 2 +-
 typing-break/drw-monitor.c                      | 1 +
 typing-break/main.c                             | 2 +-
 10 files changed, 15 insertions(+), 10 deletions(-)

commit f82acb016938a4177f64906a133c224a0b8c51be
Author: Valentin Villenave <vvillenave@hypra.fr>
Date:   Fri Oct 22 10:43:53 2021 +0200

    g_queue_clear_full() is only available since glib 2.60.

 capplets/about-me/mate-about-me-password.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 2794ea258a5b6acdcca4239cefdf5fbadfcb9e6e
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 21 18:00:37 2021 +0200

    common: fix memory leak

 capplets/common/mate-theme-info.c | 1 +
 1 file changed, 1 insertion(+)

commit 914efafed0b720bbec07db72f8eb404fb80ddbe2
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 21 17:30:27 2021 +0200

    appearance: fix memory leak

 capplets/appearance/mate-wp-item.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit bf9c247bfa87cbddb6f6c036b031b56703a6e9c2
Author: antonios-f <79258415+antonios-f@users.noreply.github.com>
Date:   Tue Oct 12 22:16:37 2021 +0300

    Change capplets/about-me/mate-about-me-password.c for correct interract with passwd in rhel-based distros
    
    Process stdout and stderr separatly in spawn_passwd(). Both are handled by the io_watch_stdout()
    Increase BUFSIZE up to 128, because the message from libpwquality doesn't fit into previous buffer.
    In io_watch_stdout() change order of switching PASSDLG_STATE_*, according to current version of passwd with enabled pam_pwquality in rhel-based distros.

 .build.yml                                         |  213 +
 .github/FUNDING.yml                                |    9 +
 .github/issue_template.md                          |   19 +
 .travis.yml                                        |   75 +
 .tx/config                                         |   16 +
 AUTHORS                                            |    7 +
 COPYING                                            |  339 ++
 ChangeLog                                          |    2 +
 Makefile.am                                        |   74 +
 NEWS                                               |  557 +++
 README                                             |   51 +
 TODO                                               |  108 +
 autogen.sh                                         |   28 +
 capplets/Makefile.am                               |   29 +
 capplets/about-me/AUTHORS                          |    2 +
 capplets/about-me/Makefile.am                      |   63 +
 capplets/about-me/e-image-chooser.c                |  485 ++
 capplets/about-me/e-image-chooser.h                |   65 +
 capplets/about-me/fingerprint-strings.h            |   89 +
 capplets/about-me/mate-about-me-dialog.ui          |  247 +
 capplets/about-me/mate-about-me-fingerprint.c      |  825 ++++
 capplets/about-me/mate-about-me-fingerprint.h      |   31 +
 capplets/about-me/mate-about-me-fingerprint.ui     |  360 ++
 capplets/about-me/mate-about-me-password.c         | 1171 +++++
 capplets/about-me/mate-about-me-password.h         |    9 +
 capplets/about-me/mate-about-me-password.ui        |  383 ++
 capplets/about-me/mate-about-me.c                  |  543 +++
 capplets/about-me/mate-about-me.desktop.in         |   13 +
 capplets/about-me/org.mate.mcc.am.gresource.xml    |   24 +
 capplets/about-me/ui-a11y.suppr                    |   18 +
 capplets/accessibility/Makefile.am                 |    3 +
 capplets/accessibility/at-properties/Makefile.am   |   52 +
 .../at-properties/at-enable-dialog.ui              |  439 ++
 .../accessibility/at-properties/at-startup.png     |  Bin 0 -> 2879 bytes
 .../accessibility/at-properties/at-support.png     |  Bin 0 -> 2991 bytes
 capplets/accessibility/at-properties/dm-util.c     |  159 +
 capplets/accessibility/at-properties/dm-util.h     |   39 +
 capplets/accessibility/at-properties/main.c        |  282 ++
 .../at-properties/mate-at-properties.desktop.in    |   13 +
 .../org.mate.mcc.accessibility.at.gresource.xml    |   22 +
 capplets/accessibility/at-properties/ui-a11y.suppr |    4 +
 capplets/appearance/Makefile.am                    |   70 +
 capplets/appearance/appearance-desktop.c           | 1389 ++++++
 capplets/appearance/appearance-desktop.h           |   27 +
 capplets/appearance/appearance-font.c              |  804 +++
 capplets/appearance/appearance-font.h              |   27 +
 capplets/appearance/appearance-main.c              |  253 +
 capplets/appearance/appearance-style.c             | 1065 ++++
 capplets/appearance/appearance-style.h             |   27 +
 capplets/appearance/appearance-support.c           |  137 +
 capplets/appearance/appearance-support.h           |   28 +
 capplets/appearance/appearance-themes.c            | 1150 +++++
 capplets/appearance/appearance-themes.h            |   27 +
 capplets/appearance/appearance-ui.c                |  130 +
 capplets/appearance/appearance-ui.h                |   26 +
 capplets/appearance/appearance.h                   |  153 +
 capplets/appearance/data/Makefile.am               |   62 +
 capplets/appearance/data/appearance.ui             | 3704 ++++++++++++++
 .../appearance/data/gtk-theme-thumbnailing.png     |  Bin 0 -> 1764 bytes
 .../appearance/data/icon-theme-thumbnailing.png    |  Bin 0 -> 1167 bytes
 .../data/mate-appearance-properties.desktop.in     |   13 +
 .../data/mate-theme-installer.desktop.in           |   15 +
 capplets/appearance/data/mate-theme-package.xml.in |    9 +
 .../appearance/data/mouse-cursor-normal-large.png  |  Bin 0 -> 251 bytes
 capplets/appearance/data/mouse-cursor-normal.png   |  Bin 0 -> 241 bytes
 .../appearance/data/mouse-cursor-white-large.png   |  Bin 0 -> 268 bytes
 capplets/appearance/data/mouse-cursor-white.png    |  Bin 0 -> 221 bytes
 capplets/appearance/data/subpixel-bgr.png          |  Bin 0 -> 125 bytes
 capplets/appearance/data/subpixel-rgb.png          |  Bin 0 -> 125 bytes
 capplets/appearance/data/subpixel-vbgr.png         |  Bin 0 -> 138 bytes
 capplets/appearance/data/subpixel-vrgb.png         |  Bin 0 -> 138 bytes
 capplets/appearance/data/theme-thumbnailing.png    |  Bin 0 -> 4482 bytes
 capplets/appearance/data/ui-a11y.suppr             |   50 +
 .../appearance/data/window-theme-thumbnailing.png  |  Bin 0 -> 2183 bytes
 capplets/appearance/mate-wp-info.c                 |   98 +
 capplets/appearance/mate-wp-info.h                 |   42 +
 capplets/appearance/mate-wp-item.c                 |  348 ++
 capplets/appearance/mate-wp-item.h                 |   87 +
 capplets/appearance/mate-wp-xml.c                  |  557 +++
 capplets/appearance/mate-wp-xml.h                  |   28 +
 .../org.mate.mcc.appearance.gresource.xml          |   22 +
 capplets/appearance/theme-installer.c              |  865 ++++
 capplets/appearance/theme-installer.h              |   28 +
 capplets/appearance/theme-save.c                   |  383 ++
 capplets/appearance/theme-save.h                   |   27 +
 capplets/appearance/theme-util.c                   |  294 ++
 capplets/appearance/theme-util.h                   |   48 +
 capplets/common/Makefile.am                        |   60 +
 capplets/common/activate-settings-daemon.c         |   63 +
 capplets/common/activate-settings-daemon.h         |    9 +
 capplets/common/capplet-util.c                     |  260 +
 capplets/common/capplet-util.h                     |   45 +
 capplets/common/dconf-util.c                       |  102 +
 capplets/common/dconf-util.h                       |   46 +
 capplets/common/file-transfer-dialog.c             |  593 +++
 capplets/common/file-transfer-dialog.h             |   70 +
 capplets/common/gtkrc-utils.c                      |  260 +
 capplets/common/gtkrc-utils.h                      |   30 +
 capplets/common/mate-theme-apply.c                 |  142 +
 capplets/common/mate-theme-apply.h                 |   33 +
 capplets/common/mate-theme-info.c                  | 1837 +++++++
 capplets/common/mate-theme-info.h                  |  191 +
 capplets/common/mate-theme-test.c                  |  132 +
 capplets/common/theme-thumbnail.c                  | 1122 +++++
 capplets/common/theme-thumbnail.h                  |   37 +
 capplets/common/wm-common.c                        |  192 +
 capplets/common/wm-common.h                        |   21 +
 capplets/default-applications/Makefile.am          |   51 +
 .../icons/16x16/categories/instant-messaging.png   |  Bin 0 -> 961 bytes
 .../icons/22x22/categories/instant-messaging.png   |  Bin 0 -> 1205 bytes
 .../icons/24x24/categories/instant-messaging.png   |  Bin 0 -> 1206 bytes
 .../icons/256x256/categories/instant-messaging.png |  Bin 0 -> 51368 bytes
 .../icons/32x32/categories/instant-messaging.png   |  Bin 0 -> 2233 bytes
 .../icons/48x48/categories/instant-messaging.png   |  Bin 0 -> 3753 bytes
 capplets/default-applications/icons/Makefile.am    |   24 +
 capplets/default-applications/mate-da-capplet.c    |  815 ++++
 capplets/default-applications/mate-da-capplet.h    |  100 +
 ...mate-default-applications-properties.desktop.in |   13 +
 .../mate-default-applications-properties.ui        | 1293 +++++
 .../mate-default-applications.pc.in                |   10 +
 .../org.mate.mcc.da.gresource.xml                  |   22 +
 capplets/display/Makefile.am                       |   78 +
 capplets/display/TODO                              |  837 ++++
 capplets/display/display-capplet.ui                |  520 ++
 capplets/display/foo-marshal.list                  |    6 +
 .../mate-display-properties-install-systemwide.c   |  276 ++
 .../display/mate-display-properties.desktop.in     |   13 +
 .../display/org.mate.mcc.display.gresource.xml     |   22 +
 capplets/display/org.mate.randr.policy.in          |   29 +
 capplets/display/scrollarea.c                      | 1473 ++++++
 capplets/display/scrollarea.h                      |  130 +
 capplets/display/ui-a11y.suppr                     |    3 +
 capplets/display/xrandr-capplet.c                  | 2607 ++++++++++
 capplets/keybindings/00-multimedia-key.xml.in      |   33 +
 capplets/keybindings/01-desktop-key.xml.in         |   27 +
 capplets/keybindings/Makefile.am                   |   66 +
 capplets/keybindings/eggaccelerators.c             |  637 +++
 capplets/keybindings/eggaccelerators.h             |   95 +
 capplets/keybindings/eggcellrendererkeys.c         |  736 +++
 capplets/keybindings/eggcellrendererkeys.h         |   88 +
 capplets/keybindings/mate-keybinding-properties.c  | 1986 ++++++++
 capplets/keybindings/mate-keybinding-properties.ui |  378 ++
 capplets/keybindings/mate-keybinding.desktop.in    |   13 +
 capplets/keybindings/mate-keybindings.pc.in        |   10 +
 .../org.mate.mcc.keybindings.gresource.xml         |   22 +
 capplets/keybindings/ui-a11y.suppr                 |    3 +
 capplets/keyboard/Makefile.am                      |   58 +
 .../mate-keyboard-properties-a11y-notifications.ui |  478 ++
 capplets/keyboard/mate-keyboard-properties-a11y.c  |  333 ++
 capplets/keyboard/mate-keyboard-properties-a11y.h  |   32 +
 .../keyboard/mate-keyboard-properties-dialog.ui    | 2212 +++++++++
 .../mate-keyboard-properties-layout-chooser.ui     |  331 ++
 .../mate-keyboard-properties-model-chooser.ui      |  165 +
 .../mate-keyboard-properties-options-dialog.ui     |  108 +
 capplets/keyboard/mate-keyboard-properties-xkb.c   |  282 ++
 capplets/keyboard/mate-keyboard-properties-xkb.h   |   96 +
 capplets/keyboard/mate-keyboard-properties-xkblt.c |  468 ++
 .../keyboard/mate-keyboard-properties-xkbltadd.c   |  580 +++
 capplets/keyboard/mate-keyboard-properties-xkbmc.c |  345 ++
 capplets/keyboard/mate-keyboard-properties-xkbot.c |  519 ++
 capplets/keyboard/mate-keyboard-properties-xkbpv.c |  136 +
 capplets/keyboard/mate-keyboard-properties.c       |  227 +
 capplets/keyboard/mate-keyboard.desktop.in         |   13 +
 .../keyboard/org.mate.mcc.keyboard.gresource.xml   |   26 +
 capplets/keyboard/ui-a11y.suppr                    |   40 +
 capplets/mouse/Makefile.am                         |   47 +
 capplets/mouse/double-click-maybe.svg              |  168 +
 capplets/mouse/double-click-off.svg                |   95 +
 capplets/mouse/double-click-on.svg                 |  240 +
 capplets/mouse/mate-mouse-properties.c             |  459 ++
 capplets/mouse/mate-mouse-properties.ui            | 1631 +++++++
 capplets/mouse/mate-settings-mouse.desktop.in      |   13 +
 capplets/mouse/msd-input-helper.c                  |  125 +
 capplets/mouse/msd-input-helper.h                  |   36 +
 capplets/mouse/org.mate.mcc.mouse.gresource.xml    |   25 +
 capplets/mouse/ui-a11y.suppr                       |   25 +
 capplets/network/Makefile.am                       |   37 +
 capplets/network/mate-network-properties.c         |  501 ++
 .../network/mate-network-properties.desktop.in     |   13 +
 capplets/network/mate-network-properties.ui        |  945 ++++
 .../network/org.mate.mcc.network.gresource.xml     |   22 +
 capplets/network/ui-a11y.suppr                     |    7 +
 capplets/time-admin/Makefile.am                    |    3 +
 capplets/time-admin/data/Makefile.am               |   40 +
 capplets/time-admin/data/map/backward              |  128 +
 capplets/time-admin/data/map/bg.png                |  Bin 0 -> 213448 bytes
 capplets/time-admin/data/map/bg_dim.png            |  Bin 0 -> 95862 bytes
 capplets/time-admin/data/map/cc.png                |  Bin 0 -> 52271 bytes
 capplets/time-admin/data/map/pin.png               |  Bin 0 -> 666 bytes
 capplets/time-admin/data/map/timezone_-1.png       |  Bin 0 -> 8012 bytes
 capplets/time-admin/data/map/timezone_-10.png      |  Bin 0 -> 7783 bytes
 capplets/time-admin/data/map/timezone_-10_dim.png  |  Bin 0 -> 5139 bytes
 capplets/time-admin/data/map/timezone_-11.png      |  Bin 0 -> 8347 bytes
 capplets/time-admin/data/map/timezone_-11_dim.png  |  Bin 0 -> 4815 bytes
 capplets/time-admin/data/map/timezone_-1_dim.png   |  Bin 0 -> 4953 bytes
 capplets/time-admin/data/map/timezone_-2.png       |  Bin 0 -> 4333 bytes
 capplets/time-admin/data/map/timezone_-2_dim.png   |  Bin 0 -> 2670 bytes
 capplets/time-admin/data/map/timezone_-3.5.png     |  Bin 0 -> 740 bytes
 capplets/time-admin/data/map/timezone_-3.5_dim.png |  Bin 0 -> 995 bytes
 capplets/time-admin/data/map/timezone_-3.png       |  Bin 0 -> 13615 bytes
 capplets/time-admin/data/map/timezone_-3_dim.png   |  Bin 0 -> 8773 bytes
 capplets/time-admin/data/map/timezone_-4.5.png     |  Bin 0 -> 1900 bytes
 capplets/time-admin/data/map/timezone_-4.5_dim.png |  Bin 0 -> 1527 bytes
 capplets/time-admin/data/map/timezone_-4.png       |  Bin 0 -> 15084 bytes
 capplets/time-admin/data/map/timezone_-4_dim.png   |  Bin 0 -> 9836 bytes
 capplets/time-admin/data/map/timezone_-5.5.png     |  Bin 0 -> 437 bytes
 capplets/time-admin/data/map/timezone_-5.5_dim.png |  Bin 0 -> 859 bytes
 capplets/time-admin/data/map/timezone_-5.png       |  Bin 0 -> 19166 bytes
 capplets/time-admin/data/map/timezone_-5_dim.png   |  Bin 0 -> 12224 bytes
 capplets/time-admin/data/map/timezone_-6.png       |  Bin 0 -> 13764 bytes
 capplets/time-admin/data/map/timezone_-6_dim.png   |  Bin 0 -> 8833 bytes
 capplets/time-admin/data/map/timezone_-7.png       |  Bin 0 -> 11977 bytes
 capplets/time-admin/data/map/timezone_-7_dim.png   |  Bin 0 -> 7868 bytes
 capplets/time-admin/data/map/timezone_-8.png       |  Bin 0 -> 6801 bytes
 capplets/time-admin/data/map/timezone_-8_dim.png   |  Bin 0 -> 4261 bytes
 capplets/time-admin/data/map/timezone_-9.5.png     |  Bin 0 -> 437 bytes
 capplets/time-admin/data/map/timezone_-9.5_dim.png |  Bin 0 -> 859 bytes
 capplets/time-admin/data/map/timezone_-9.png       |  Bin 0 -> 7908 bytes
 capplets/time-admin/data/map/timezone_-9_dim.png   |  Bin 0 -> 4972 bytes
 capplets/time-admin/data/map/timezone_0.png        |  Bin 0 -> 11074 bytes
 capplets/time-admin/data/map/timezone_0_dim.png    |  Bin 0 -> 7074 bytes
 capplets/time-admin/data/map/timezone_1.png        |  Bin 0 -> 15458 bytes
 capplets/time-admin/data/map/timezone_10.5.png     |  Bin 0 -> 421 bytes
 capplets/time-admin/data/map/timezone_10.5_dim.png |  Bin 0 -> 844 bytes
 capplets/time-admin/data/map/timezone_10.png       |  Bin 0 -> 12829 bytes
 capplets/time-admin/data/map/timezone_10_dim.png   |  Bin 0 -> 8395 bytes
 capplets/time-admin/data/map/timezone_11.5.png     |  Bin 0 -> 446 bytes
 capplets/time-admin/data/map/timezone_11.5_dim.png |  Bin 0 -> 868 bytes
 capplets/time-admin/data/map/timezone_11.png       |  Bin 0 -> 12113 bytes
 capplets/time-admin/data/map/timezone_11_dim.png   |  Bin 0 -> 6744 bytes
 capplets/time-admin/data/map/timezone_12.75.png    |  Bin 0 -> 409 bytes
 .../time-admin/data/map/timezone_12.75_dim.png     |  Bin 0 -> 846 bytes
 capplets/time-admin/data/map/timezone_12.png       |  Bin 0 -> 7130 bytes
 capplets/time-admin/data/map/timezone_12_dim.png   |  Bin 0 -> 3935 bytes
 capplets/time-admin/data/map/timezone_13.png       |  Bin 0 -> 621 bytes
 capplets/time-admin/data/map/timezone_13_dim.png   |  Bin 0 -> 876 bytes
 capplets/time-admin/data/map/timezone_14.png       |  Bin 0 -> 7722 bytes
 capplets/time-admin/data/map/timezone_14_dim.png   |  Bin 0 -> 4150 bytes
 capplets/time-admin/data/map/timezone_1_dim.png    |  Bin 0 -> 10187 bytes
 capplets/time-admin/data/map/timezone_2.png        |  Bin 0 -> 12854 bytes
 capplets/time-admin/data/map/timezone_2_dim.png    |  Bin 0 -> 8709 bytes
 capplets/time-admin/data/map/timezone_3.5.png      |  Bin 0 -> 2142 bytes
 capplets/time-admin/data/map/timezone_3.5_dim.png  |  Bin 0 -> 1781 bytes
 capplets/time-admin/data/map/timezone_3.png        |  Bin 0 -> 17475 bytes
 capplets/time-admin/data/map/timezone_3_dim.png    |  Bin 0 -> 9877 bytes
 capplets/time-admin/data/map/timezone_4.5.png      |  Bin 0 -> 1773 bytes
 capplets/time-admin/data/map/timezone_4.5_dim.png  |  Bin 0 -> 1385 bytes
 capplets/time-admin/data/map/timezone_4.png        |  Bin 0 -> 4954 bytes
 capplets/time-admin/data/map/timezone_4_dim.png    |  Bin 0 -> 2754 bytes
 capplets/time-admin/data/map/timezone_5.5.png      |  Bin 0 -> 6099 bytes
 capplets/time-admin/data/map/timezone_5.5_dim.png  |  Bin 0 -> 3405 bytes
 capplets/time-admin/data/map/timezone_5.75.png     |  Bin 0 -> 2885 bytes
 capplets/time-admin/data/map/timezone_5.75_dim.png |  Bin 0 -> 1596 bytes
 capplets/time-admin/data/map/timezone_5.png        |  Bin 0 -> 14539 bytes
 capplets/time-admin/data/map/timezone_5_dim.png    |  Bin 0 -> 8117 bytes
 capplets/time-admin/data/map/timezone_6.5.png      |  Bin 0 -> 1609 bytes
 capplets/time-admin/data/map/timezone_6.5_dim.png  |  Bin 0 -> 1675 bytes
 capplets/time-admin/data/map/timezone_6.png        |  Bin 0 -> 8441 bytes
 capplets/time-admin/data/map/timezone_6_dim.png    |  Bin 0 -> 4678 bytes
 capplets/time-admin/data/map/timezone_7.png        |  Bin 0 -> 14412 bytes
 capplets/time-admin/data/map/timezone_7_dim.png    |  Bin 0 -> 7972 bytes
 capplets/time-admin/data/map/timezone_8.5.png      |  Bin 0 -> 2069 bytes
 capplets/time-admin/data/map/timezone_8.5_dim.png  |  Bin 0 -> 1177 bytes
 capplets/time-admin/data/map/timezone_8.75.png     |  Bin 0 -> 13993 bytes
 capplets/time-admin/data/map/timezone_8.75_dim.png |  Bin 0 -> 7064 bytes
 capplets/time-admin/data/map/timezone_8.png        |  Bin 0 -> 16050 bytes
 capplets/time-admin/data/map/timezone_8_dim.png    |  Bin 0 -> 9378 bytes
 capplets/time-admin/data/map/timezone_9.5.png      |  Bin 0 -> 1959 bytes
 capplets/time-admin/data/map/timezone_9.5_dim.png  |  Bin 0 -> 1611 bytes
 capplets/time-admin/data/map/timezone_9.png        |  Bin 0 -> 14381 bytes
 capplets/time-admin/data/map/timezone_9_dim.png    |  Bin 0 -> 8377 bytes
 .../time-admin/data/mate-time-admin.desktop.in     |   13 +
 capplets/time-admin/src/Makefile.am                |   27 +
 capplets/time-admin/src/main.c                     |  307 ++
 .../time-admin/src/org.mate.mcc.ta.gresource.xml   |   22 +
 capplets/time-admin/src/time-admin.ui              |  413 ++
 capplets/time-admin/src/time-map.c                 |  638 +++
 capplets/time-admin/src/time-map.h                 |   77 +
 capplets/time-admin/src/time-share.c               |   51 +
 capplets/time-admin/src/time-share.h               |   69 +
 capplets/time-admin/src/time-tool.c                |  295 ++
 capplets/time-admin/src/time-tool.h                |   49 +
 capplets/time-admin/src/time-zone.c                |  718 +++
 capplets/time-admin/src/time-zone.h                |   84 +
 capplets/time-admin/src/time-zones.h               |  451 ++
 capplets/windows/Makefile.am                       |   36 +
 capplets/windows/mate-metacity-support.c           |   72 +
 capplets/windows/mate-metacity-support.h           |   28 +
 capplets/windows/mate-window-properties.c          |  658 +++
 capplets/windows/mate-window-properties.desktop.in |   13 +
 .../windows/org.mate.mcc.windows.gresource.xml     |   22 +
 capplets/windows/window-properties.ui              |  834 ++++
 configure.ac                                       |  329 ++
 font-viewer/Makefile.am                            |   61 +
 font-viewer/font-model.c                           |  645 +++
 font-viewer/font-model.h                           |   69 +
 font-viewer/font-thumbnailer.c                     |  332 ++
 font-viewer/font-utils.c                           |   68 +
 font-viewer/font-utils.h                           |   35 +
 font-viewer/font-view.c                            |  959 ++++
 font-viewer/gd-main-toolbar.c                      |  613 +++
 font-viewer/gd-main-toolbar.h                      |  113 +
 font-viewer/mate-font-viewer.desktop.in            |   13 +
 font-viewer/mate-font-viewer.thumbnailer           |    4 +
 font-viewer/sushi-font-loader.c                    |  197 +
 font-viewer/sushi-font-loader.h                    |   52 +
 font-viewer/sushi-font-widget.c                    |  744 +++
 font-viewer/sushi-font-widget.h                    |   73 +
 font-viewer/totem-resources.c                      |  123 +
 font-viewer/totem-resources.h                      |   37 +
 git.mk                                             |  400 ++
 gla11y.mk                                          |   19 +
 help/C/config-accessibility-keyboard.xml           |    7 +
 help/C/config-background.xml                       |  131 +
 help/C/config-behavior.xml                         |   54 +
 help/C/config-cds.xml                              |   64 +
 help/C/config-default-apps.xml                     |   53 +
 help/C/config-file-type.xml                        |    3 +
 help/C/config-hints.xml                            |   64 +
 help/C/config-html.xml                             |  198 +
 help/C/config-kbd.xml                              |  173 +
 help/C/config-keybindings.xml                      |   37 +
 help/C/config-mouse.xml                            |  240 +
 help/C/config-screensaver.xml                      |  255 +
 help/C/config-themes.xml                           |   46 +
 help/C/index.docbook                               |  130 +
 help/C/legal.xml                                   |   76 +
 help/Makefile.am                                   |   31 +
 help/af/af.po                                      | 2266 +++++++++
 help/am/am.po                                      | 2262 +++++++++
 help/ar/ar.po                                      | 2269 +++++++++
 help/as/as.po                                      | 2261 +++++++++
 help/ast/ast.po                                    | 2265 +++++++++
 help/az/az.po                                      | 2267 +++++++++
 help/be/be.po                                      | 2265 +++++++++
 help/bg/bg.po                                      | 2274 +++++++++
 help/bn/bn.po                                      | 2267 +++++++++
 help/bn_IN/bn_IN.po                                | 2265 +++++++++
 help/br/br.po                                      | 2262 +++++++++
 help/bs/bs.po                                      | 2262 +++++++++
 help/ca/ca.po                                      | 2340 +++++++++
 help/ca@valencia/ca@valencia.po                    | 2309 +++++++++
 help/cmn/cmn.po                                    | 2264 +++++++++
 help/crh/crh.po                                    | 2263 +++++++++
 help/cs/cs.po                                      | 2301 +++++++++
 help/cy/cy.po                                      | 2264 +++++++++
 help/da/da.po                                      | 2704 +++++++++++
 help/de/de.po                                      | 2342 +++++++++
 help/dz/dz.po                                      | 2264 +++++++++
 help/el/el.po                                      | 2311 +++++++++
 help/en_AU/en_AU.po                                | 2261 +++++++++
 help/en_CA/en_CA.po                                | 2261 +++++++++
 help/en_GB/en_GB.po                                | 2304 +++++++++
 help/eo/eo.po                                      | 2290 +++++++++
 help/es/es.po                                      | 2369 +++++++++
 help/es_AR/es_AR.po                                | 2267 +++++++++
 help/es_CL/es_CL.po                                | 2263 +++++++++
 help/es_CO/es_CO.po                                | 2266 +++++++++
 help/es_MX/es_MX.po                                | 2271 +++++++++
 help/et/et.po                                      | 2268 +++++++++
 help/eu/eu.po                                      | 2300 +++++++++
 help/fa/fa.po                                      | 2266 +++++++++
 help/fi/fi.po                                      | 2275 +++++++++
 help/fr/fr.po                                      | 2474 ++++++++++
 help/fr_CA/fr_CA.po                                | 2357 +++++++++
 help/frp/frp.po                                    | 2261 +++++++++
 help/fur/fur.po                                    | 2261 +++++++++
 help/fy/fy.po                                      | 2264 +++++++++
 help/ga/ga.po                                      | 2265 +++++++++
 help/gl/gl.po                                      | 2324 +++++++++
 help/gu/gu.po                                      | 2262 +++++++++
 help/ha/ha.po                                      | 2261 +++++++++
 help/he/he.po                                      | 2268 +++++++++
 help/hi/hi.po                                      | 2268 +++++++++
 help/hr/hr.po                                      | 2303 +++++++++
 help/hu/hu.po                                      | 2318 +++++++++
 help/hy/hy.po                                      | 2264 +++++++++
 help/id/id.po                                      | 2321 +++++++++
 help/ie/ie.po                                      | 2261 +++++++++
 help/ig/ig.po                                      | 2261 +++++++++
 help/is/is.po                                      | 2265 +++++++++
 help/it/it.po                                      | 2764 +++++++++++
 help/ja/ja.po                                      | 2431 +++++++++
 help/ka/ka.po                                      | 2262 +++++++++
 help/kab/kab.po                                    | 2265 +++++++++
 help/kk/kk.po                                      | 2263 +++++++++
 help/kn/kn.po                                      | 2266 +++++++++
 help/ko/ko.po                                      | 2295 +++++++++
 help/ku/ku.po                                      | 2262 +++++++++
 help/ku_IQ/ku_IQ.po                                | 2262 +++++++++
 help/ky/ky.po                                      | 2263 +++++++++
 help/li/li.po                                      | 2261 +++++++++
 help/lt/lt.po                                      | 2313 +++++++++
 help/lv/lv.po                                      | 2267 +++++++++
 help/mai/mai.po                                    | 2261 +++++++++
 help/mate-control-center.omf.in                    |    9 +
 help/mate-control-center.pot                       | 1871 +++++++
 help/mg/mg.po                                      | 2261 +++++++++
 help/mk/mk.po                                      | 2263 +++++++++
 help/ml/ml.po                                      | 2264 +++++++++
 help/mn/mn.po                                      | 2264 +++++++++
 help/mr/mr.po                                      | 2263 +++++++++
 help/ms/ms.po                                      | 2731 +++++++++++
 help/nb/nb.po                                      | 2276 +++++++++
 help/nds/nds.po                                    | 2266 +++++++++
 help/ne/ne.po                                      | 2266 +++++++++
 help/nl/nl.po                                      | 2307 +++++++++
 help/nn/nn.po                                      | 2266 +++++++++
 help/nso/nso.po                                    | 2263 +++++++++
 help/oc/oc.po                                      | 2317 +++++++++
 help/or/or.po                                      | 2261 +++++++++
 help/pa/pa.po                                      | 2295 +++++++++
 help/pl/pl.po                                      | 2343 +++++++++
 help/ps/ps.po                                      | 2263 +++++++++
 help/pt/pt.po                                      | 2327 +++++++++
 help/pt_BR/pt_BR.po                                | 2347 +++++++++
 help/ro/ro.po                                      | 2264 +++++++++
 help/ru/ru.po                                      | 2352 +++++++++
 help/rw/rw.po                                      | 2261 +++++++++
 help/si/si.po                                      | 2262 +++++++++
 help/sk/sk.po                                      | 2305 +++++++++
 help/sl/sl.po                                      | 2268 +++++++++
 help/sq/sq.po                                      | 2272 +++++++++
 help/sr/sr.po                                      | 2691 ++++++++++
 help/sr@latin/sr@latin.po                          | 2266 +++++++++
 help/sv/sv.po                                      | 2305 +++++++++
 help/ta/ta.po                                      | 2266 +++++++++
 help/te/te.po                                      | 2263 +++++++++
 help/th/th.po                                      | 2298 +++++++++
 help/tk/tk.po                                      | 2261 +++++++++
 help/tr/tr.po                                      | 2316 +++++++++
 help/ug/ug.po                                      | 2270 +++++++++
 help/uk/uk.po                                      | 2331 +++++++++
 help/ur/ur.po                                      | 2268 +++++++++
 help/uz/uz.po                                      | 2263 +++++++++
 help/vi/vi.po                                      | 2266 +++++++++
 help/wa/wa.po                                      | 2261 +++++++++
 help/xh/xh.po                                      | 2261 +++++++++
 help/yo/yo.po                                      | 2261 +++++++++
 help/zh_CN/zh_CN.po                                | 2299 +++++++++
 help/zh_HK/zh_HK.po                                | 2266 +++++++++
 help/zh_TW/zh_TW.po                                | 2272 +++++++++
 help/zu/zu.po                                      | 2263 +++++++++
 its/marco-keybindings.its                          |   14 +
 its/marco-keybindings.loc                          |    6 +
 its/mimeinfo.its                                   |    7 +
 its/mimeinfo.loc                                   |    6 +
 libslab/Makefile.am                                |   71 +
 libslab/app-resizer.c                              |  306 ++
 libslab/app-resizer.h                              |   74 +
 libslab/app-shell.c                                | 1438 ++++++
 libslab/app-shell.h                                |  142 +
 libslab/application-tile.c                         |  745 +++
 libslab/application-tile.h                         |   67 +
 libslab/bookmark-agent.c                           | 1242 +++++
 libslab/bookmark-agent.h                           |   91 +
 libslab/double-click-detector.c                    |   87 +
 libslab/double-click-detector.h                    |   58 +
 libslab/libslab-utils.c                            |   71 +
 libslab/libslab-utils.h                            |   14 +
 libslab/mate-slab.pc.in                            |   12 +
 libslab/mate-utils.c                               |   82 +
 libslab/mate-utils.h                               |   34 +
 libslab/nameplate-tile.c                           |  274 ++
 libslab/nameplate-tile.h                           |   57 +
 libslab/nld-marshal.list                           |    1 +
 libslab/search-bar.c                               |  238 +
 libslab/search-bar.h                               |   66 +
 libslab/shell-window.c                             |   83 +
 libslab/shell-window.h                             |   65 +
 libslab/slab-mate-util.c                           |  161 +
 libslab/slab-mate-util.h                           |   39 +
 libslab/slab-section.c                             |  192 +
 libslab/slab-section.h                             |   72 +
 libslab/slab.h                                     |   40 +
 libslab/themed-icon.c                              |  159 +
 libslab/themed-icon.h                              |   54 +
 libslab/tile-action.c                              |  108 +
 libslab/tile.c                                     |  529 ++
 libslab/tile.h                                     |  127 +
 libwindow-settings/Makefile.am                     |   55 +
 libwindow-settings/marco-window-manager.c          |  504 ++
 libwindow-settings/marco-window-manager.h          |   30 +
 libwindow-settings/mate-window-manager.c           |  273 ++
 libwindow-settings/mate-window-manager.h           |  171 +
 libwindow-settings/mate-window-settings-2.0.pc.in  |   11 +
 libwindow-settings/mate-wm-manager.c               |  322 ++
 libwindow-settings/mate-wm-manager.h               |   16 +
 makepot                                            |   12 +
 man/Makefile.am                                    |   20 +
 man/mate-about-me.1                                |   18 +
 man/mate-appearance-properties.1                   |   28 +
 man/mate-at-properties.1                           |   42 +
 man/mate-control-center.1                          |   72 +
 man/mate-default-applications-properties.1         |   24 +
 man/mate-display-properties-install-systemwide.1   |   47 +
 man/mate-display-properties.1                      |   40 +
 man/mate-font-viewer.1                             |   46 +
 man/mate-keybinding-properties.1                   |   40 +
 man/mate-keyboard-properties.1                     |   50 +
 man/mate-mouse-properties.1                        |   42 +
 man/mate-network-properties.1                      |   43 +
 man/mate-thumbnail-font.1                          |   43 +
 man/mate-typing-monitor.1                          |   48 +
 man/mate-window-properties.1                       |   36 +
 mate-control-center.pot                            | 4943 +++++++++++++++++++
 org.mate.control-center.gschema.xml.in             |   47 +
 org.mate.control-center.keybinding.gschema.xml.in  |   19 +
 po/LINGUAS                                         |  144 +
 po/Makevars                                        |   79 +
 po/POTFILES.in                                     |   94 +
 po/POTFILES.skip                                   |    2 +
 po/af.po                                           | 5014 +++++++++++++++++++
 po/am.po                                           | 5017 +++++++++++++++++++
 po/ar.po                                           | 5033 +++++++++++++++++++
 po/as.po                                           | 5037 +++++++++++++++++++
 po/ast.po                                          | 5066 +++++++++++++++++++
 po/az.po                                           | 4974 +++++++++++++++++++
 po/be.po                                           | 5063 +++++++++++++++++++
 po/bg.po                                           | 5088 +++++++++++++++++++
 po/bn.po                                           | 5043 +++++++++++++++++++
 po/bn_IN.po                                        | 5042 +++++++++++++++++++
 po/br.po                                           | 5042 +++++++++++++++++++
 po/bs.po                                           | 4976 +++++++++++++++++++
 po/ca.po                                           | 5107 +++++++++++++++++++
 po/ca@valencia.po                                  | 5095 +++++++++++++++++++
 po/cmn.po                                          | 4991 +++++++++++++++++++
 po/crh.po                                          | 5035 +++++++++++++++++++
 po/cs.po                                           | 5117 +++++++++++++++++++
 po/csb.po                                          | 2855 +++++++++++
 po/cy.po                                           | 4988 +++++++++++++++++++
 po/da.po                                           | 5094 +++++++++++++++++++
 po/de.po                                           | 5127 +++++++++++++++++++
 po/dz.po                                           | 5027 +++++++++++++++++++
 po/el.po                                           | 5109 +++++++++++++++++++
 po/en_AU.po                                        | 5055 +++++++++++++++++++
 po/en_CA.po                                        | 4977 +++++++++++++++++++
 po/en_GB.po                                        | 5059 +++++++++++++++++++
 po/eo.po                                           | 4989 +++++++++++++++++++
 po/es.po                                           | 5130 +++++++++++++++++++
 po/es_AR.po                                        | 4973 +++++++++++++++++++
 po/es_CL.po                                        | 4970 +++++++++++++++++++
 po/es_CO.po                                        | 4971 +++++++++++++++++++
 po/es_CR.po                                        | 2852 +++++++++++
 po/es_DO.po                                        | 2854 +++++++++++
 po/es_EC.po                                        | 2852 +++++++++++
 po/es_ES.po                                        | 2855 +++++++++++
 po/es_MX.po                                        | 4980 +++++++++++++++++++
 po/es_NI.po                                        | 2852 +++++++++++
 po/es_PA.po                                        | 2852 +++++++++++
 po/es_PE.po                                        | 2852 +++++++++++
 po/es_PR.po                                        | 4969 +++++++++++++++++++
 po/es_SV.po                                        | 2852 +++++++++++
 po/es_UY.po                                        | 2852 +++++++++++
 po/es_VE.po                                        | 2854 +++++++++++
 po/et.po                                           | 5069 +++++++++++++++++++
 po/eu.po                                           | 5071 +++++++++++++++++++
 po/fa.po                                           | 4988 +++++++++++++++++++
 po/fi.po                                           | 5074 +++++++++++++++++++
 po/fo.po                                           | 2850 +++++++++++
 po/fr.po                                           | 5135 ++++++++++++++++++++
 po/fr_CA.po                                        | 4967 +++++++++++++++++++
 po/frp.po                                          | 4966 +++++++++++++++++++
 po/fur.po                                          | 4966 +++++++++++++++++++
 po/fy.po                                           | 4970 +++++++++++++++++++
 po/ga.po                                           | 4993 +++++++++++++++++++
 po/gd.po                                           | 2855 +++++++++++
 po/gl.po                                           | 5108 +++++++++++++++++++
 po/gnome-copyrights.txt                            | 1365 ++++++
 po/gu.po                                           | 5036 +++++++++++++++++++
 po/ha.po                                           | 4966 +++++++++++++++++++
 po/he.po                                           | 5046 +++++++++++++++++++
 po/hi.po                                           | 5024 +++++++++++++++++++
 po/hr.po                                           | 5089 +++++++++++++++++++
 po/hu.po                                           | 5097 +++++++++++++++++++
 po/hy.po                                           | 5069 +++++++++++++++++++
 po/ia.po                                           | 4970 +++++++++++++++++++
 po/id.po                                           | 5092 +++++++++++++++++++
 po/ie.po                                           | 4981 +++++++++++++++++++
 po/ig.po                                           | 4964 +++++++++++++++++++
 po/is.po                                           | 5035 +++++++++++++++++++
 po/it.po                                           | 5112 +++++++++++++++++++
 po/ja.po                                           | 5033 +++++++++++++++++++
 po/jv.po                                           | 2849 +++++++++++
 po/ka.po                                           | 4978 +++++++++++++++++++
 po/kab.po                                          | 4969 +++++++++++++++++++
 po/kk.po                                           | 5005 +++++++++++++++++++
 po/km.po                                           | 2849 +++++++++++
 po/kn.po                                           | 5048 +++++++++++++++++++
 po/ko.po                                           | 5016 +++++++++++++++++++
 po/ks.po                                           | 4966 +++++++++++++++++++
 po/ku.po                                           | 4981 +++++++++++++++++++
 po/ku_IQ.po                                        | 4967 +++++++++++++++++++
 po/ky.po                                           | 4967 +++++++++++++++++++
 po/lb.po                                           | 2853 +++++++++++
 po/li.po                                           | 4966 +++++++++++++++++++
 po/lo.po                                           | 2849 +++++++++++
 po/lt.po                                           | 5095 +++++++++++++++++++
 po/lv.po                                           | 5042 +++++++++++++++++++
 po/mai.po                                          | 4981 +++++++++++++++++++
 po/mg.po                                           | 4984 +++++++++++++++++++
 po/mi.po                                           | 4966 +++++++++++++++++++
 po/mk.po                                           | 5066 +++++++++++++++++++
 po/ml.po                                           | 5055 +++++++++++++++++++
 po/mn.po                                           | 4983 +++++++++++++++++++
 po/mr.po                                           | 5054 +++++++++++++++++++
 po/ms.po                                           | 5069 +++++++++++++++++++
 po/nb.po                                           | 5082 +++++++++++++++++++
 po/nds.po                                          | 4972 +++++++++++++++++++
 po/ne.po                                           | 4997 +++++++++++++++++++
 po/nl.po                                           | 5131 +++++++++++++++++++
 po/nn.po                                           | 5035 +++++++++++++++++++
 po/nso.po                                          | 4978 +++++++++++++++++++
 po/oc.po                                           | 5065 +++++++++++++++++++
 po/om.po                                           | 2850 +++++++++++
 po/or.po                                           | 5048 +++++++++++++++++++
 po/pa.po                                           | 5038 +++++++++++++++++++
 po/pl.po                                           | 5119 +++++++++++++++++++
 po/pms.po                                          | 2850 +++++++++++
 po/ps.po                                           | 4968 +++++++++++++++++++
 po/pt.po                                           | 5102 +++++++++++++++++++
 po/pt_BR.po                                        | 5123 +++++++++++++++++++
 po/ro.po                                           | 5085 +++++++++++++++++++
 po/ru.po                                           | 5129 +++++++++++++++++++
 po/rw.po                                           | 4966 +++++++++++++++++++
 po/sc.po                                           | 2853 +++++++++++
 po/si.po                                           | 4969 +++++++++++++++++++
 po/sk.po                                           | 5079 +++++++++++++++++++
 po/sl.po                                           | 5065 +++++++++++++++++++
 po/so.po                                           | 2850 +++++++++++
 po/sq.po                                           | 5035 +++++++++++++++++++
 po/sr.po                                           | 5074 +++++++++++++++++++
 po/sr@latin.po                                     | 5050 +++++++++++++++++++
 po/sv.po                                           | 5081 +++++++++++++++++++
 po/ta.po                                           | 5046 +++++++++++++++++++
 po/te.po                                           | 5033 +++++++++++++++++++
 po/tg.po                                           | 2850 +++++++++++
 po/th.po                                           | 5011 +++++++++++++++++++
 po/tk.po                                           | 4966 +++++++++++++++++++
 po/tl.po                                           | 2850 +++++++++++
 po/tr.po                                           | 5086 +++++++++++++++++++
 po/tt.po                                           | 2836 +++++++++++
 po/ug.po                                           | 5041 +++++++++++++++++++
 po/uk.po                                           | 5086 +++++++++++++++++++
 po/ur.po                                           | 5040 +++++++++++++++++++
 po/uz.po                                           | 4973 +++++++++++++++++++
 po/vi.po                                           | 5029 +++++++++++++++++++
 po/wa.po                                           | 4967 +++++++++++++++++++
 po/xh.po                                           | 4977 +++++++++++++++++++
 po/yi.po                                           | 4967 +++++++++++++++++++
 po/yo.po                                           | 4964 +++++++++++++++++++
 po/zh_CN.po                                        | 5025 +++++++++++++++++++
 po/zh_HK.po                                        | 4995 +++++++++++++++++++
 po/zh_TW.po                                        | 5013 +++++++++++++++++++
 po/zu.po                                           | 4972 +++++++++++++++++++
 shell/Makefile.am                                  |   47 +
 shell/control-center.c                             |  187 +
 shell/matecc.desktop.in                            |   14 +
 shell/matecc.directory.desktop.in                  |    6 +
 shell/matecc.menu                                  |  154 +
 typing-break/Makefile.am                           |   60 +
 typing-break/bar-disabled.png                      |  Bin 0 -> 6933 bytes
 typing-break/bar-green.png                         |  Bin 0 -> 3744 bytes
 typing-break/bar-red.png                           |  Bin 0 -> 3422 bytes
 typing-break/bar.png                               |  Bin 0 -> 4581 bytes
 typing-break/drw-break-window.c                    |  614 +++
 typing-break/drw-break-window.h                    |   56 +
 typing-break/drw-monitor.c                         |  193 +
 typing-break/drw-monitor.h                         |   51 +
 typing-break/drw-selection.c                       |  194 +
 typing-break/drw-selection.h                       |   33 +
 typing-break/drw-timer.c                           |   50 +
 typing-break/drw-timer.h                           |   42 +
 typing-break/drw-utils.c                           |  195 +
 typing-break/drw-utils.h                           |   29 +
 typing-break/drwright.c                            |  914 ++++
 typing-break/drwright.h                            |   30 +
 typing-break/main.c                                |  126 +
 typing-break/mate-typing-monitor.png               |  Bin 0 -> 3292 bytes
 typing-break/mate-typing-monitor.svg               |  336 ++
 typing-break/ocean-stripes.png                     |  Bin 0 -> 274 bytes
 681 files changed, 1001245 insertions(+)
